Subject: Re: What's the right way to use a *large* number of source addresses?

From: Florian Westphal <[email-masked]>
Date: Fri, 23 May 2014 12:11:44 +0200

Niels Möller <[email-masked]> wrote:
> So now I'm trying to figure out what's the Right Way to enable traffic
> generations with a large number of source addresses, to possibly retire
> the proprietary kernel module. I see a couple of different approaches:

[..]

> 3. Just set the desired local address with the bind call. Currently,
>    this gives an EADDRNOTAVAIL error, so the first step would be some
>    option to allow arbitrary source addresses.

See 'Making non-local sockets work' in Documentation/networking/tproxy.txt